ConfigurationException (Avalon Framework 4.1.5 API)
Keywords: org.apache.avalon.framework.configuration.ConfigurationException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.configuration
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.avalon.framework.CascadingException
                  org.apache.avalon.framework.configuration.ConfigurationException

All Implemented Interfaces:
  CascadingThrowable, Serializable

public class ConfigurationException
extends CascadingException

Thrown when a `Configurable` component cannot be configured properly, or if a value cannot be retrieved properly.

Version:
  CVS $Revision: 1.12 $ $Date: 2003/08/29 15:12:00 $
Author:
  Avalon Development Team
See Also:
  Serialized Form

Constructor Summary
`ConfigurationException(Configuration config)` Construct a new `ConfigurationException` instance.
`ConfigurationException(String message)` Construct a new `ConfigurationException` instance.
`ConfigurationException(String message, Configuration config)` Construct a new `ConfigurationException` instance.
`ConfigurationException(String message, Configuration config, Throwable throwable)` Construct a new `ConfigurationException` instance.
`ConfigurationException(String message, Throwable throwable)` Construct a new `ConfigurationException` instance.

Method Summary
`String` | `getMessage()`
`Configuration` | `getOffendingConfiguration()`

Methods inherited from class org.apache.avalon.framework.CascadingException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException(Configuration config)

  Construct a new `ConfigurationException` instance.

Parameters:
  `config` - The offending configuration object

### ConfigurationException

    public ConfigurationException(String message)

  Construct a new `ConfigurationException` instance.

Parameters:
  `message` - The detail message for this exception.

### ConfigurationException

    public ConfigurationException(String message,
                                  Throwable throwable)

  Construct a new `ConfigurationException` instance.

Parameters:
  `message` - The detail message for this exception.
  `throwable` - the root cause of the exception

### ConfigurationException

    public ConfigurationException(String message,
                                  Configuration config)

  Construct a new `ConfigurationException` instance.

Parameters:
  `message` - The detail message for this exception.
  `config` - The configuration object

### ConfigurationException

    public ConfigurationException(String message,
                                  Configuration config,
                                  Throwable throwable)

  Construct a new `ConfigurationException` instance.

Parameters:
  `message` - The detail message for this exception.
  `throwable` - the root cause of the exception

Method Detail

### getOffendingConfiguration

    public Configuration getOffendingConfiguration()

### getMessage

    public String getMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Apache Software Foundation. All Rights Reserved.